'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _three = require('three');

var THREE = _interopRequireWildcard(_three);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = {
  init: function init(props) {
    var fov = props.fov,
        aspect = props.aspect,
        near = props.near,
        far = props.far;

    var PerspectiveCamera = new THREE.PerspectiveCamera(fov, aspect, near, far);
    PerspectiveCamera.updateProperty = this.updateProperty;
    return PerspectiveCamera;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }
      this[key] = value;
      return;
    }
  }
};
module.exports = exports['default'];