'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _three = require('three');

var THREE = _interopRequireWildcard(_three);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var camera = null;

exports.default = {
  init: function init(props) {
    var origin = props.origin,
        direction = props.direction,
        near = props.near,
        far = props.far;

    var Raycaster = new THREE.Raycaster(origin, direction, near, far);
    Raycaster.updateProperty = this.updateProperty;
    camera = props.camera;
    return Raycaster;
  },
  updateProperty: function updateProperty(key, value) {
    if (key === 'camera') {
      camera = value;
    }
    if (key === 'coords') {
      this.setFromCamera(value, camera);
    }
  }
};
module.exports = exports['default'];